> For the complete documentation index, see [llms.txt](https://docs.curexapi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.curexapi.com/api-error-codes.md).

# API Error Codes

If your query fails, the API returns a 4-digit error code and a plain text "info" attribute with suggestions for the user.

**Example Error Response:**

```json
{
    "success": false,
    "error_code": 1002,
    "error_message": "Package limit exceeded!"
}
```

**Common API Errors:**

<table><thead><tr><th width="161">Code</th><th>Error</th></tr></thead><tbody><tr><td>1001</td><td>Invalid access_key.</td></tr><tr><td>1002</td><td>Package limit exceeded.</td></tr><tr><td>1003</td><td>Invalid source currency code. List of currencies: <a href="/pages/5lCUEhQAuJ7VXyIqmSCq">Supported Currencies</a></td></tr><tr><td>1004</td><td>Invalid target currency code. List of currencies: <a href="/pages/5lCUEhQAuJ7VXyIqmSCq">Supported Currencies</a></td></tr><tr><td>1005</td><td>Invalid date format. Supported date format: YYYY-MM-DD</td></tr><tr><td>1006</td><td>Date must be less than today for historical data.</td></tr><tr><td>1007</td><td>Start date must be less than end date.</td></tr><tr><td>1008</td><td>Date range must be max 30 days!</td></tr><tr><td>1101</td><td>Upgrade your account to Basic Plan for use convert service.</td></tr><tr><td>1102</td><td>Upgrade your account to Pro Plan for use timeframe service.</td></tr><tr><td>1103</td><td>Upgrade your account to Business Plan for use change service.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.curexapi.com/api-error-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
